
package de.ivu.elect.business.anschrift.entity;

public enum WahlhelfereinsatzortBarrierefreiWert implements BarrierefreiWert {
  NICHT_GESETZT,

  BARRIEREFREI {

    @Override
    public boolean isGesetztBarrierefrei() {
      return true;
    }
  },
  NICHT_BARRIEREFREI {

    @Override
    public boolean isGesetztNichtBarrierefrei() {
      return true;
    }
  },

  WIE_STANDORT {

    @Override
    public boolean isUebergeordneteEntititaetBetrachten() {
      return true;
    }
  },

  UNBEKANNT,

  ;

  private WahlhelfereinsatzortBarrierefreiWert() {
  }

  @Override
  public boolean isGesetztBarrierefrei() {
    return false;
  }

  @Override
  public boolean isGesetztNichtBarrierefrei() {
    return false;
  }

  @Override
  public boolean isUebergeordneteEntititaetBetrachten() {
    return false;
  }
}
